Bug 87016 - Kill “Use system font for user interface” for good
Summary: Kill “Use system font for user interface” for good
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium normal
Assignee: Julien Nabet
QA Contact:
URL:
Whiteboard: target:5.0.0
Keywords:
Depends on:
Blocks:
 
Reported: 2014-12-04 22:20 UTC by Adolfo Jayme
Modified: 2015-10-19 09:11 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Adolfo Jayme 2014-12-04 22:20:19 UTC
It’s one of the unhelpful settings that the design team requested to be removed back in 2012. [1] Toggling it doesn’t even have a visible effect under Windows nowadays.

We already use system’s current font (and never used StarOffice’s Andale Sans UI) and have fallback lists.

[1]: https://wiki.documentfoundation.org/Design/Whiteboards/Options/Global
Comment 1 Adolfo Jayme 2014-12-04 22:22:33 UTC
This can possibly be made into an EasyHack
Comment 2 Julien Nabet 2014-12-05 12:12:47 UTC
Here's a starting code pointer:
http://opengrok.libreoffice.org/xref/core/cui/uiconfig/ui/optviewpage.ui#431
I'm gonna give it a try.
Comment 3 Julien Nabet 2014-12-05 12:25:18 UTC
See https://gerrit.libreoffice.org/#/c/13311/1
Comment 4 Commit Notification 2014-12-15 14:02:07 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=324de04a408a77656a473cbfd2cc1ce77664b0c0

Resolves fdo#87016 Kill "Use system font for user interface" for good

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Mike §chinagl 2015-05-21 16:22:46 UTC
This bug fix is mentioned in the release notes of the coming LibreOffice 5.0 (see release notes https://wiki.documentfoundation.org/ReleaseNotes/5.0). Therefore it would be wonderful if this feature really worked well, otherwise it should not be mentioned in the release notes. In the notes it reads:

The obsolete, StarOffice-inherited option “Use system font for user interface” was removed. LibreOffice will always use the system’s font to display its user interface elements. tdf#87016 Thanks to: Julien Nabet and Caolán McNamara (Red Hat).
Comment 6 Julien Nabet 2015-05-21 18:16:31 UTC
Mike: could you give precisions about the pb instead of sending this kind of message in different bugtrackers?
Comment 7 Mike §chinagl 2015-05-21 18:29:58 UTC
@Julien: 
I thought that awareness of the fact that the bug will be mentioned in the release notes should be helpful as there is no visible connection between these two elements. 

As a result in the past some bugs were listed as fixed while they were not or new questions / discussions on that bug showed up exactly at release time when i.e. journalists read the release notes and then mentioned the questionable situation. I have only send this information to this bugzilla instance.
Comment 8 Julien Nabet 2015-05-21 19:05:39 UTC
(In reply to Mike §chinagl from comment #7)
"Use system font for user interface" doesn't appear anymore, I tested it.
About "LibreOffice will always use the system’s font to display its user interface elements", I must recognize I tested this only on Linux.
So do you mean it fails in 1 or both of these envs?
If not, could you explain simply what's the pb?
Comment 9 Adolfo Jayme 2015-05-21 19:59:46 UTC
(In reply to Mike §chinagl from comment #7)
> As a result in the past some bugs were listed as fixed while they were not
> or new questions / discussions on that bug showed up exactly at release time
> when i.e. journalists read the release notes and then mentioned the
> questionable situation. I have only send this information to this bugzilla
> instance.

No idea what you’re talking about. Please stop spamming bug reports with mentions to the wiki release notes.
Comment 10 Mike §chinagl 2015-05-22 14:18:24 UTC
(In reply to Adolfo Jayme from comment #9)
> No idea what you’re talking about. Please stop spamming bug reports with
> mentions to the wiki release notes.

Please consider my clarifying statement:
https://bugs.documentfoundation.org/show_bug.cgi?id=86138#c13